%define anolis_release 1

Name:             poppler-data
Summary:          Encoding files for use with poppler
Version:          0.4.11
Release:          %{anolis_release}%{?dist}

# NOTE: The licensing details are explained in COPYING file in source archive.
License:          BSD and GPLv2

URL:              https://poppler.freedesktop.org/
Source0:	  https://poppler.freedesktop.org/%{name}-%{version}.tar.gz


BuildArch:        noarch
BuildRequires: make
BuildRequires:    git

%description
This package consists of encoding files for use with poppler. The encoding
files are optional and poppler will automatically read them if they are present.

When installed, the encoding files enables poppler to correctly render both CJK
and Cyrrilic characters properly.

%package          devel
Summary:          Devel files for %{name}

Requires:         %{name} = %{version}-%{release}
BuildRequires:    pkgconfig

%description devel
This sub-package currently contains only pkgconfig file, which can be used with
pkgconfig utility allowing your software to be build with poppler-data.

%prep
%autosetup -S git

# NOTE: Nothing to do here - we are packaging the content only.
%build

%install
%make_install prefix=%{_prefix}

%files
%license COPYING COPYING.adobe COPYING.gpl2
%{_datadir}/poppler/

%files devel
%{_datadir}/pkgconfig/poppler-data.pc

%changelog
* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 0.4.11-1
- Initial build for Anolis V23
